diff --git a/doc/src/sgml/ref/pg_ctl-ref.sgml b/doc/src/sgml/ref/pg_ctl-ref.sgml
new file mode 100644
index 29f882b..2df65db
*** a/doc/src/sgml/ref/pg_ctl-ref.sgml
--- b/doc/src/sgml/ref/pg_ctl-ref.sgml
*************** PostgreSQL documentation
*** 173,183 ****
     In <option>stop</option> mode, the server that is running in
     the specified data directory is shut down.  Three different
     shutdown methods can be selected with the <option>-m</option>
!    option.  <quote>Smart</quote> mode (the default) waits for all active
     clients to disconnect and any online backup to finish.
     If the server is in hot standby, recovery and streaming replication
     will be terminated once all clients have disconnected.
!    <quote>Fast</quote> mode does not wait for clients to disconnect and
     will terminate an online backup in progress.  All active transactions are
     rolled back and clients are forcibly disconnected, then the
     server is shut down.  <quote>Immediate</quote> mode will abort
--- 173,183 ----
     In <option>stop</option> mode, the server that is running in
     the specified data directory is shut down.  Three different
     shutdown methods can be selected with the <option>-m</option>
!    option.  <quote>Smart</quote> mode waits for all active
     clients to disconnect and any online backup to finish.
     If the server is in hot standby, recovery and streaming replication
     will be terminated once all clients have disconnected.
!    <quote>Fast</quote> mode (the default) does not wait for clients to disconnect and
     will terminate an online backup in progress.  All active transactions are
     rolled back and clients are forcibly disconnected, then the
     server is shut down.  <quote>Immediate</quote> mode will abort
*************** PostgreSQL documentation
*** 292,298 ****
          Specifies the shutdown mode.  <replaceable>mode</replaceable>
          can be <literal>smart</literal>, <literal>fast</literal>, or
          <literal>immediate</literal>, or the first letter of one of
!         these three.  If this is omitted, <literal>smart</literal> is used.
         </para>
        </listitem>
       </varlistentry>
--- 292,298 ----
          Specifies the shutdown mode.  <replaceable>mode</replaceable>
          can be <literal>smart</literal>, <literal>fast</literal>, or
          <literal>immediate</literal>, or the first letter of one of
!         these three.  If this is omitted, <literal>fast</literal> is used.
         </para>
        </listitem>
       </varlistentry>
diff --git a/src/bin/pg_ctl/pg_ctl.c b/src/bin/pg_ctl/pg_ctl.c
new file mode 100644
index 052caff..32423a5
*** a/src/bin/pg_ctl/pg_ctl.c
--- b/src/bin/pg_ctl/pg_ctl.c
*************** static bool do_wait = false;
*** 79,85 ****
  static bool wait_set = false;
  static int	wait_seconds = DEFAULT_WAIT;
  static bool silent_mode = false;
! static ShutdownMode shutdown_mode = SMART_MODE;
  static int	sig = SIGTERM;		/* default */
  static CtlCommand ctl_command = NO_COMMAND;
  static char *pg_data = NULL;
--- 79,85 ----
  static bool wait_set = false;
  static int	wait_seconds = DEFAULT_WAIT;
  static bool silent_mode = false;
! static ShutdownMode shutdown_mode = FAST_MODE;
  static int	sig = SIGTERM;		/* default */
  static CtlCommand ctl_command = NO_COMMAND;
  static char *pg_data = NULL;
